import { createBrowserRouter, createHashRouter } from 'react-router-dom'

import App from '@/App'
import NotFound from '@/pages/not-found'
import Fiber from '@/pages/fiber'

// createBrowserRouter -> history
// createHashRouter -> hash (#)

const router = createBrowserRouter([
    {
        path: '/',
        element: <Fiber />,
    },
    {
        path: '*',
        element: <NotFound />
    }
])

export default router;